Holger's Java API

## com.antelmann.util.logging
Class XMLLogFormatter

    java.lang.Object
      com.antelmann.util.logging.XMLLogFormatter

All Implemented Interfaces:
  LogEntryFormatter<String>

    public class XMLLogFormatter

extends Object
implements LogEntryFormatter<String>

formats LogEntry objects as XML.

Author:
  Holger Antelmann

Constructor Summary
`XMLLogFormatter()`

Method Summary
`String` `formatLogEntry(LogEntry entry)` This method returns a String with an XML version of the entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLLogFormatter

    public XMLLogFormatter()

Method Detail

### formatLogEntry

    public String formatLogEntry(LogEntry entry)

  This method returns a String with an XML version of the entry.

  Specified by:
    `formatLogEntry` in interface `LogEntryFormatter<String>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads